// ck4dump.c Dan Olson
// Commander Keen 2 sound support by Frenkel Smeijers
#include <stdio.h>
#include <malloc.h>

int main()
{
	unsigned char *sounds;
	FILE *keen, *newfile;

	keen = fopen("keen2.exe", "rb");
	if (keen == NULL)
	{
		fprintf (stderr, "Couldn't open KEEN2.EXE.\n");
		return -1;
	}

	// Do sounds.ck2
	fseek(keen, 0x12A40, SEEK_SET);
	sounds = (unsigned char *)malloc(0x310A);
	if (sounds == NULL)
	{
		fprintf (stderr, "Couldn't allocate memory\n");
		return -1;
	}
	fread(sounds, sizeof(unsigned char), 0x310A, keen);
	newfile = fopen("sounds.ck2", "wb");
	if (newfile == NULL)
	{
		fprintf(stderr, "Couldn't create SOUNDS.CK2\n");
		return -1;
	}

	fwrite(sounds, sizeof(unsigned char), 0x310A, newfile);
	fclose(newfile);

	free(sounds);
	printf ("SOUNDS.CK2 written...\n");

	fclose(keen);

	printf ("Done.\n");
	return 1;
}
